DimLine1Suppress 属性 (ActiveX)
指定第一条尺寸线的隐含。 支持的平台:仅限 Windows 签名VBA: object.DimLine1Suppress
属性值只读:不 类型:布尔
言论此属性的初始值为 。False 当此属性设置为 时,将禁止显示第一条延长线和文本之间的尺寸线和箭头。True 注意:此属性将覆盖给定维度的 DIMSD1 系统变量的值。
例子VBA: Sub Example_DimensionLine1Suppress() ' This example creates a Dim3PointAngular object in model space ' and suppresses the dimension lines using the DimensionLine1Suppress ' and DimensionLine2Suppress properties Dim DimPointAngularObj As AcadDim3PointAngular Dim AngleVertex(0 To 2) As Double Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double Dim Line1Suppressed As String, Line2Suppressed As String ' Define the new Dim3PointAngular object AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0 FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0 SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0 TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0 ' Create the new Dim3PointAngular object in model space Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint) ThisDrawing.Application.ZoomAll ' Read and display current line suppression information Line1Suppressed = IIf(DimPointAngularObj.DimLine1Suppress, "is suppressed", "is not suppressed") Line2Suppressed = IIf(DimPointAngularObj.DimLine2Suppress, "is suppressed", "is not suppressed") MsgBox "Line one of the dimension " & Line1Suppressed & vbCrLf & _ "Line two of the dimension " & Line2Suppressed ' Suppress line one of the dimension DimPointAngularObj.DimLine1Suppress = True ThisDrawing.Regen acAllViewports MsgBox "Line one of the dimension is now suppressed" ' Suppress line two of the dimension DimPointAngularObj.DimLine2Suppress = True ThisDrawing.Regen acAllViewports MsgBox "Line two of the dimension is now suppressed" ' Turn both dimension lines back on DimPointAngularObj.DimLine1Suppress = False DimPointAngularObj.DimLine2Suppress = False ThisDrawing.Regen acAllViewports MsgBox "Both dimension lines are now visible again" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_DimensionLine1Suppress() ;; This example creates a Dim3PointAngular object in model space ;; and suppresses the dimension lines using the DimensionLine1Suppress ;; and DimensionLine2Suppress properties (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the new Dim3PointAngular object (setq AngleVertex (vlax-3d-point 0 0 0) FirstPoint (vlax-3d-point 2 2 0) SecondPoint (vlax-3d-point 1 4 0) TextPoint (vlax-3d-point 6 6 0)) ;; Create the new Dim3PointAngular object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint)) (vla-ZoomAll acadObj) ;; Read and display current line suppression information (setq Line1Suppressed (if (= (vla-get-DimLine1Suppress DimPointAngularObj) :vlax-true) "is suppressed" "is not suppressed")) (setq Line2Suppressed (if (= (vla-get-DimLine2Suppress DimPointAngularObj) :vlax-true) "is suppressed" "is not suppressed")) (alert (strcat "Line one of the dimension " Line1Suppressed "\nLine two of the dimension " Line2Suppressed)) ;; Suppress line one of the dimension (vla-put-DimLine1Suppress DimPointAngularObj :vlax-true) (vla-Regen doc acAllViewports) (alert "Line one of the dimension is now suppressed") ;; Suppress line two of the dimension (vla-put-DimLine2Suppress DimPointAngularObj :vlax-true) (vla-Regen doc acAllViewports) (alert "Line two of the dimension is now suppressed") ;; Turn both dimension lines back on (vla-put-DimLine1Suppress DimPointAngularObj :vlax-false) (vla-put-DimLine2Suppress DimPointAngularObj :vlax-false) (vla-Regen doc acAllViewports) (alert "Both dimension lines are now visible again") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 12:42
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.